MARCHIVEEXEC(1)

NAME
mArchiveExec - Call mArchiveGet on each image in sequence

SYNOPSIS
mArchiveExec [-d level] region.tbl

DESCRIPTION
Given a table of archive images (generated by mArchiveList), calls mArchiveGet on each one in sequence to retrieve all the files into the current directory.

OPTIONS

-d level
    Prints out additional debugging information; in this version, the only supported level is 1.

ARGUMENTS

region.tbl
    Table of archive images, generated by mArchiveList.

RESULT
[struct stat="OK", count=num-images, failed=num-failed]

num-images from region.tbl are retrieved into the current directory. num-failed is a count of failed attempts to retrieve images; turn on debugging to see the errors generated by mArchiveGet.

MESSAGES

OK  [struct stat="OK", count=num-files, failed=num-failed]

ERROR
    Table region.tbl needs column 'URL' and can optionally have columns 'fname'/'file' and pixel ranges 'imin'...'jmax'

EXAMPLES

First, run mArchiveList to generate a table of image metadata, including URLs:

$ mArchiveList 2mass j m31 0.5 0.5 2mass_m31_j.tbl
    [struct stat="OK", count=18]

Next, call mArchiveExec on the metadata table to populate the current directory with the files found by mArchiveList:

$ mArchiveExec 2mass_m31_j.tbl
    [struct stat="OK", count=18, failed=0]

$ ls

    2mass-atlas-001016n-j1030232.fits
      2mass-atlas-001016n-j1030244.fits
      2mass-atlas-001025n-j0740021.fits
      2mass-atlas-001025n-j0740033.fits
      2mass-atlas-001025n-j0740044.fits
      2mass-atlas-971024n-j0080021.fits
      2mass-atlas-971024n-j0080033.fits
      2mass-atlas-971024n-j0080044.fits
      2mass-atlas-971024n-j0090232.fits
      2mass-atlas-971024n-j0090244.fits
      2mass-atlas-981123n-j0720021.fits
      2mass-atlas-981123n-j0720033.fits
      2mass-atlas-981123n-j0720044.fits
      2mass-atlas-981204n-j0420021.fits
      2mass-atlas-981204n-j0420033.fits
      2mass-atlas-981204n-j0420044.fits
      2mass-atlas-981204n-j0430232.fits
      2mass-atlas-981204n-j0430244.fits
      2mass_m31_j.tbl

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.